Doomsday Engine - Feature #1648

Complete vanilla DOOM emulation
2013-11-02 14:26 - skyjake

Status: Progressed Start date: 2003-07-17
Priority: Urgent % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

This is an umbrella issue for tasks related to features/bugs that allow Doomsday to look and behave exactly like vanilla Doom
(except with higher resolution, etc. — we aren't going to implement, say, a column-based software renderer).

Subtasks:

Feature # 1640: Support for id Tech 1 audio/graphic resource hacks Progressed
Feature # 1869: Support 'shadowed' texture resources in animated textures New

Feature # 1603: Support for id Tech 1 map hacks Progressed
Bug # 110: [Render hack] TNT map09: Transparent window is not transparent Closed
Bug # 1053: [Render hack] Icarus Alien Vanguard: Force-fields (scrolling masked middle ... Closed
Feature # 1585: [Map Hack] Extra plane (e.g., Hell Revealed Il MAPO1) Progressed
Feature # 1668: Support id Tech 1 map hacks with sector lightlevels outside expected [O... New
Bug # 2109: [Doom] "Doomsday of UAC" invisible stairs not climable New
Bug # 2258: [Doom] Falling through 3D bridges New
Bug # 2386: [Render hack] Alien Vendetta map09: Arched upper textures (facing an unclos... New
Bug # 2399: [Render hack] TNT map21: Transparent doors New

Feature # 1476: Support for the features of the Playpal and Colormap lumps New

Feature # 1471: Standard definitions should conform to vanilla New

Feature # 1416: [Doom] Invisible "fuzz" effect New

Feature # 1622: Vanilla depth shading New

Bug # 1868: [Doom] Revenant missiles randomly switch from non-homing to homing Closed

Feature # 1998: Emulate original game menus (other settings moved to taskbar Ul) New

Bug # 2350: [Doom] Status bar drawing glitch in Doom Registered v1.1 New

Related issues:

Related to Feature #1582: Player actions while game is paused New 2009-05-06

Related to Feature #1440: Vanilla Doom collision-checking mode New 2007-03-01

Related to Feature #1806: "Headless" vanilla playsim for old demo compatibility Rejected 2014-05-19

Related to Bug #1813: Hexen weapons remain smoothed in the Vanilla profile Closed 2014-05-27

Related to Bug #1701: [Doom] Map08/ExM8 sound emulation New 2014-01-03

History

#1 - 2014-05-19 07:34 - skyjake

- Related to Feature #1806: "Headless" vanilla playsim for old demo compatibility added

#2 - 2014-05-27 19:23 - skyjake

- Related to Bug #1813: Hexen weapons remain smoothed in the Vanilla profile added

#3 - 2014-10-05 20:09 - danij

- Related to Bug #1701: [Doom] Map08/ExM8 sound emulation added

#4 - 2016-03-27 08:41 - skyjake

- Target version set to Modding

#5 - 2016-07-06 00:03 - skyjake
- Status changed from In Progress to Progressed

#6 - 2017-04-03 18:37 - skyjake
- Target version changed from Modding to Vanilla/ Gameplay

- % Done changed from 14 to 0

#7 - 2019-11-30 12:50 - skyjake
- Related to Bug #2350: [Doom] Status bar drawing glitch in Doom Registered v1.1 added
